Draft: Forma da testo

From FreeCAD Documentation
Revision as of 19:42, 24 August 2021 by FuzzyBot (talk | contribs) (Updating to match new version of source page)
Jump to navigation Jump to search
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский
Arrow-left.svg Pagina precedente: Draft Point.svg Punto
Pagina successiva: Lega facce Draft Facebinder.svg Arrow-right.svg

Draft ShapeString.svg ShapeString

Posizione nel menu
Draft → Forma da testo...
Ambiente
Draft, Arch
Avvio veloce
S S
Introdotto nella versione
0.14
Vedere anche
Testo Draft, Part Estrusione,
Macro Fonts Win10 PYMP Macro Fonts Win10 PYMP.png

Descrizione

Lo strumento ShapeString inserisce una forma composta che riproduce una stringa di testo in un dato punto del documento corrente. Si possono definire gli attributi del testo quali altezza, tipo di carattere, ecc.. La forma risultante può essere utilizzata con lo strumento Estrusione di Part per creare lettere 3D.

Per inserire un elemento di testo più semplice senza una forma chiusa, utilizzare Draft Text.svg Testo. Per creare un'etichetta di testo con una linea guida e una freccia usare Draft Label.svg Etichetta.

Draft ShapeString Example400.png

Per posizionare una Shapestring basta un singolo punto

Utilizzo

Se la modalità dell'interfaccia di Draft è impostata su Vista azioni:

  1. Premere il pulsante Draft ShapeString.svg Forma da testo, o premere i tasti S e poi S.
  2. Appare una finestra di dialogo in cui è possibile specificare i parametri.
  3. Premere OK per creare la forma dal testo.

Opzioni

  • Per inserire le coordinate manualmente, è sufficiente inserire i numeri, quindi premere Invio per ciascun componente X, Y e Z.. È possibile premere il pulsante Draft AddPoint.svg Inserisci punto quando si hanno i valori desiderati per inserire il punto.
  • Premere il tasto Esc o il pulsante Chiudi per interrompere il comando corrente.

Notes

Limitazioni

  • Altezze di testo molto ridotte possono causare deformazioni delle forme del carattere a causa della perdita di dettagli nel ridimensionamento.
  • La versione corrente mostra solo un testo scritto in orizzontale da sinistra a destra.
  • Per creare un testo curvo è possibile utilizzare la macro FCCircularTextButtom.png Testo circolare.

Tutorial

Preferences

See also: Preferences Editor and Draft Preferences.

  • The default font file can be changed in the preferences: Edit → Preferences... → Draft → Texts and dimensions → Default ShapeString font file. See Draft Preferences.

Proprietà

See also: Property editor.

A Draft ShapeString object is derived from a Part Part2DObject and inherits all its properties. It also has the following additional properties:

Data

Draft

  • DatiPosition: specifica la posizione del punto base della forma composta.
  • DatiAngle: specifica la rotazione della linea di base della forma.
  • DatiAxis: specifica l'asse da utilizzare per la rotazione.
  • DatiString: specifica la stringa di testo da visualizzare; a differenza dello strumento Testo, Forma da testo può visualizzare solo una singola riga.
  • DatiSize: specifica l'altezza generale delle lettere.
  • DatiTracking: specifica la spaziatura inter-carattere aggiuntiva nella stringa.
  • DatiFont File: specifica il percorso completo del file di font utilizzato per disegnare la stringa.

View

Draft

  • VistaPattern (Enumeration): specifies the Draft Pattern with which to fill the faces of the text. This property only works if VistaDisplay Mode is Flat Lines.
  • VistaPattern Size (Float): specifies the size of the Draft Pattern.

Scripting

Lo strumento ShapeString può essere utilizzato nelle macro e dalla console Python tramite la seguente funzione:

shapestring = make_shapestring(String, FontFile, Size=100, Tracking=0)
  • Crea una forma composta ShapeString usando la String specificata e il percorso completo di un FontFile supportato.
  • Size è l'altezza in millimetri del testo risultante.
  • Tracking è la spaziatura aggiuntiva tra i caratteri, in millimetri.

Il posizionamento di ShapeString può essere cambiato sovrascrivendo il suo attributo Placement, o sovrascrivendo singolarmente i suoi attributi Placement.Base e Placement.Rotation.

Esempio:

import FreeCAD as App
import Draft

doc = App.newDocument()

font1 = "/usr/share/fonts/truetype/msttcorefonts/Arial.ttf"
font2 = "/usr/share/fonts/truetype/dejavu/DejaVuSerif.ttf"
font3 = "/usr/share/fonts/truetype/freefont/FreeSerifItalic.ttf"

S1 = Draft.make_shapestring("This is a sample text", font1, 200)

S2 = Draft.make_shapestring("Inclined text", font2, 200, 10)

zaxis = App.Vector(0, 0, 1)
p2 = App.Vector(-1000, 500, 0)
place2 = App.Placement(p2, App.Rotation(zaxis, 45))
S2.Placement = place2

S3 = Draft.make_shapestring("Upside-down text", font3, 200, 10)
S3.Placement.Base = App.Vector(0, -1000, 0)
S3.Placement.Rotation = App.Rotation(zaxis, 180)

doc.recompute()


Arrow-left.svg Pagina precedente: Draft Point.svg Punto
Pagina successiva: Lega facce Draft Facebinder.svg Arrow-right.svg